package com.sa.ibiz.demo.demo.service.impl;

import java.util.List;
import javax.annotation.Resource;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.sa.ibiz.demo.demo.mapper.WFDynamicUserMapper;
import com.sa.ibiz.demo.demo.domain.WFDynamicUser;
import com.sa.ibiz.demo.demo.service.WFDynamicUserService;
import com.sa.ibiz.demo.ibizutil.service.ServiceImplBase;
import com.sa.ibiz.demo.demo.service.dto.WFDynamicUserSearchFilter;
import org.springframework.util.DigestUtils;
import org.springframework.util.StringUtils;
import java.util.UUID;
import java.util.Map;
import org.springframework.beans.factory.annotation.Autowired;
import java.util.TreeMap;
import java.util.regex.Matcher;
import java.util.regex.Pattern;
import java.math.BigInteger;
import com.sa.ibiz.demo.ibizutil.annotation.PreField;
import java.lang.reflect.Field;


/**
 * 实体[WFDynamicUser] 服务对象接口实现
 */
@Service
public class WFDynamicUserServiceImpl extends ServiceImplBase<WFDynamicUserMapper, WFDynamicUser> implements WFDynamicUserService{


    @Resource
    private WFDynamicUserMapper wfdynamicuserMapper;


    @Override
    public boolean create(WFDynamicUser et) {
        this.beforeCreate(et);
         return super.create(et);
    }
    @Override
    public boolean update(WFDynamicUser et){
        this.beforeUpdate(et);
		this.wfdynamicuserMapper.updateOne(et);
		this.get(et);
		return true;
    }

    public Object getEntityKey(WFDynamicUser et){
		return et.getWfdynamicuserid();  
    }

    @Override
    public boolean getDraft(WFDynamicUser et)  {
            return true;
    }

	public List<WFDynamicUser> listDefault(WFDynamicUserSearchFilter filter) {
		return wfdynamicuserMapper.searchDefault(filter,filter.getSelectCond());
	}

	public Page<WFDynamicUser> searchDefault(WFDynamicUserSearchFilter filter) {
		return wfdynamicuserMapper.searchDefault(filter.getPage(),filter,filter.getSelectCond());
	}

    public  List<Map<String,Object>> selectRow(String sql){
       return wfdynamicuserMapper.selectRow(sql);
    }

 }